Skip to main content
Resource Center/Hardware/Primary Storage Operations/Shared Block Primary Storage Operations

QuerySharedBlock

QuerySharedBlock

GET/zstack/v1/sharedblock-group/sharedblocks
GET/zstack/v1/sharedblock-group/
GET/zstack/v1/sharedblock-group/sharedblock/{uuid}

Operation ID

QuerySharedBlock

Since

2.3.2

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The resource UUID.

    • sharedBlockGroupUuid
      StringRequired

      The LUN group UUID.

    • diskUuid
      StringRequired

      The unique identifier of the disk. For example, UUID, WWN, and WWID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • type
      SharedBlockTypeRequired

      See type.

      • name
        StringRequired

        The resource name.

      • ordinal
        intRequired

        The ordinal number.

    • state
      SharedBlockStateRequired

      See state.

      • name
        StringRequired

        The resource name.

      • ordinal
        intRequired

        The ordinal number.

    • status
      SharedBlockStatusRequired

      See status.

      • name
        StringRequired

        The resource name.

      • ordinal
        intRequired

        The ordinal number.